import { ColumnBase } from './ColumnBase';
import { CellOptions } from './ooxml/CellOptionsInterface';
/**
 * Represents the props of the KendoVue ExcelExportColumnProps component.
 */
export interface ExcelExportColumnOptions extends ColumnBase {
    /**
     * The options of the column data cells.
     */
    cellOptions?: CellOptions;
    /**
     * The field to which the column is bound.
     */
    field?: string;
    /**
     * The options of the column footer cell.
     */
    footerCellOptions?: CellOptions;
    /**
     * The column footer. Can be a function or a Vue component.
     */
    footer?: Function;
    /**
     * The options of the column group footer cells.
     */
    groupFooterCellOptions?: CellOptions;
    /**
     * The footer of the group. Can be a function or a Vue component.
     */
    groupFooter?: Function;
    /**
     * The options of the column group header cells.
     */
    groupHeaderCellOptions?: CellOptions;
    /**
     * The header of the group. Can be a function or a Vue component.
     */
    groupHeader?: Function;
}
